Skip to main content
`Ctrl`+`K`

# Group

class astropy.io.votable.tree.Group(table, ID=None, name=None, ref=None, ucd=None, utype=None, id=None, config=None, pos=None, **extra)

  Bases: `Element`, `_IDProperty`, `_NameProperty`, `_UtypeProperty`, `_UcdProperty`, `_DescriptionProperty`

  GROUP element: groups FIELD and PARAM elements.

  This information is currently ignored by the vo package—that is the columns in the recarray are always flat—but the grouping information is stored so that it can be written out again to the XML file.

  The keyword arguments correspond to setting members of the same name, documented below.

  Attributes Summary

  `entries` | [read-only] A list of members of the GROUP.
  `ref` | Currently ignored, as it's not clear from the spec how this is meant to work.

  Methods Summary

  `iter_fields_and_params`() | Recursively iterate over all `Param` elements in this `Group`.
  `iter_groups`() | Recursively iterate over all sub-`Group` instances in this `Group`.
  `parse`(iterator, config) | For internal use.
  `to_xml`(w, **kwargs) | For internal use.

  Attributes Documentation

  entries

    [read-only] A list of members of the GROUP. This list may only contain objects of type `Param`, `Group`, `ParamRef` and `FieldRef`.

  ref

    Currently ignored, as it’s not clear from the spec how this is meant to work.

  Methods Documentation

  iter_fields_and_params()

    Recursively iterate over all `Param` elements in this `Group`.

  iter_groups()

    Recursively iterate over all sub-`Group` instances in this `Group`.

  parse(iterator, config)

    For internal use. Parse the XML content of the children of the element.

    Parameters:
      iterator `xml` python:iterable

        An iterator over XML elements as returned by `get_xml_iterator`.

      config `python:dict`

        The configuration dictionary that affects how certain elements are read.

    Returns:
      self `Element`

        Returns self as a convenience.

  to_xml(w, **kwargs)

    For internal use. Output the element to XML.

    Parameters:
      w `astropy.utils.xml.writer.XMLWriter` `object`

        An XML writer to write to.

      **kwargs `python:dict`

        Any configuration parameters to control the output.